Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.model
Class Path

    java.lang.Object
      org.apache.commons.scxml.model.Path

All Implemented Interfaces:
  Serializable

public class Path
extends Object
implements Serializable

A helper class for this SCXML implementation that represents the path taken to transition from one TransitionTarget to another in the SCXML document. The Path consists of the "up segment" that traces up to the least common ancestor and a "down segment" that traces down to the target of the Transition.

See Also:
  Serialized Form

Method Summary
`List` | `getDownwardSegment()` Get the downward segment.
`TransitionTarget` | `getPathScope()` Get the farthest transition target from root which is not being exited nor entered by the transition (null if scope is document root).
`List` | `getRegionsEntered()` Get the list of regions entered.
`List` | `getRegionsExited()` Get the list of regions exited.
`State` | `getScope()` Deprecated. Use `getPathScope()` instead.
`List` | `getUpwardSegment()` Get the upward segment.
`boolean` | `isCrossRegion()` Does this "path" cross regions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isCrossRegion

    public final boolean isCrossRegion()

  Does this "path" cross regions.

  Returns:
    true when the path crosses a region border(s)
  See Also:
    `State.isRegion()`

### getRegionsExited

    public final List getRegionsExited()

  Get the list of regions exited.

  Returns:
    List a list of exited regions sorted bottom-up; no order defined for siblings
  See Also:
    `State.isRegion()`

### getRegionsEntered

    public final List getRegionsEntered()

  Get the list of regions entered.

  Returns:
    List a list of entered regions sorted top-down; no order defined for siblings
  See Also:
    `State.isRegion()`

### getScope

    public final State getScope()

  Deprecated. Use `getPathScope()` instead.

  Get the farthest state from root which is not being exited nor entered by the transition (null if scope is document root).

  Returns:
    State scope of the transition path, null means global transition (SCXML document level) or parent parallel. Scope is the least state which is not being exited nor entered by the transition.

### getPathScope

    public final TransitionTarget getPathScope()

  Get the farthest transition target from root which is not being exited nor entered by the transition (null if scope is document root).

  Returns:
    Scope of the transition path, null means global transition (SCXML document level). Scope is the least transition target which is not being exited nor entered by the transition.
  Since:
    0.9

### getUpwardSegment

    public final List getUpwardSegment()

  Get the upward segment.

  Returns:
    List upward segment of the path up to the scope

### getDownwardSegment

    public final List getDownwardSegment()

  Get the downward segment.

  Returns:
    List downward segment from the scope to the target

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2008 The Apache Software Foundation. All Rights Reserved.